Name:          cmocka
Version:       1.1.7
Release:       1mamba
Summary:       An elegant unit testing framework for C with support for mock objects
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cmocka.org/
Source:        https://cmocka.org/files/1.1/cmocka-%{version}.tar.xz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
mocka is an elegant unit testing framework for C with support for mock objects.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An elegant unit testing framework for C with support for mock objects

%description -n lib%{name}
mocka is an elegant unit testing framework for C with support for mock objects.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcmocka.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/cmocka.h
%{_includedir}/cmocka_pbc.h
%dir %{_libdir}/cmake/cmocka
%{_libdir}/cmake/cmocka/cmocka-config*.cmake
%{_libdir}/libcmocka.so
%{_libdir}/pkgconfig/cmocka.pc
%doc ChangeLog README.md


%changelog
* Fri Feb 24 2023 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.5-1mamba
- package created using the webbuild interface
